import { ViewContainer } from "@codingame/monaco-vscode-api/vscode/vs/workbench/common/views";
import { IInstantiationService } from "@codingame/monaco-vscode-api/vscode/vs/platform/instantiation/common/instantiation";
import { IUserDataSyncService } from "@codingame/monaco-vscode-api/vscode/vs/platform/userDataSync/common/userDataSync.service";
import { IUserDataSyncEnablementService } from "@codingame/monaco-vscode-api/vscode/vs/platform/userDataSync/common/userDataSync.service";
import { Disposable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/lifecycle";
import { IUserDataSyncMachinesService } from "@codingame/monaco-vscode-api/vscode/vs/platform/userDataSync/common/userDataSyncMachines.service";
export declare class UserDataSyncDataViews extends Disposable {
    private readonly instantiationService;
    private readonly userDataSyncEnablementService;
    private readonly userDataSyncMachinesService;
    private readonly userDataSyncService;
    constructor(container: ViewContainer, instantiationService: IInstantiationService, userDataSyncEnablementService: IUserDataSyncEnablementService, userDataSyncMachinesService: IUserDataSyncMachinesService, userDataSyncService: IUserDataSyncService);
    private registerViews;
    private registerConflictsView;
    private registerMachinesView;
    private registerActivityView;
    private registerExternalActivityView;
    private registerDataViewActions;
    private registerTroubleShootView;
}
