
import '@codingame/monaco-vscode-api/vscode/vs/platform/instantiation/common/extensions';
import { SyncResource } from '@codingame/monaco-vscode-api/vscode/vs/platform/userDataSync/common/userDataSync';
import '@codingame/monaco-vscode-api/vscode/vs/platform/instantiation/common/instantiation';
import { UserDataSyncEnablementService as UserDataSyncEnablementService$1 } from '../../../../platform/userDataSync/common/userDataSyncEnablementService.js';

class UserDataSyncEnablementService extends UserDataSyncEnablementService$1 {
    get workbenchEnvironmentService() { return this.environmentService; }
    getResourceSyncStateVersion(resource) {
        return resource === SyncResource.Extensions ? this.workbenchEnvironmentService.options?.settingsSyncOptions?.extensionsSyncStateVersion : undefined;
    }
}

export { UserDataSyncEnablementService };
